チケット #513 (closed 新機能・拡張: fixed)

登録: 12 年 前

最終更新: 12 年 前

グローバル関数「transmission()」、Responseがコミットされていたら、何もせずに処理を終了する。

報告者: shinomiya 担当者: shinomiya
優先度: major マイルストーン: 0.1.2
コンポーネント: im-jssp バージョン: 0.1.2
キーワード: 関係者:

チケットの概要 (最終更新者: shinomiya)

グローバル関数「transmission()」、Responseがコミットされていたら、何もせずに処理を終了する。

修正ファイル

機能追加理由

ServletOutputStream?を利用してファイルをダウンロードさせたい。(JSとJavaの連携)

  1. JSからJavaクラスをコール。
  2. 処理がJSに戻る。
    • ここで「transmission()」を実行。
      • Responseがコミットされていたら、何もせずに処理を終了する。

JSに処理を戻して、transmission()する理由

  • ∵Javaメソッドの呼び出し結果は、結果オブジェクトなどの形で返却されるのが望ましいから。
    • →Javaの例外をJS側でキャッチすることは出来るが、JSのコードの中で、Javaを意識した例外キャッチを行うのは好ましくないと考える。

チケットの履歴

2007/09/13 17:49:05 更新者:shinomiya

  • コンポーネントim-jssp-extention から im-jssp に更新されました。

2007/09/28 12:13:12 更新者:shinomiya

  • ステータスnew から assigned に更新されました。

2007/09/28 13:42:10 更新者:shinomiya

  • 説明 が更新されました。

2007/09/28 13:46:35 更新者:shinomiya

テストプログラム

  1:	var response = Web.getHTTPResponse();
  2:	response.sendMessageBodyString("送信完了"); // レスポンスがcommit済みになる。
  3:	
  4:	var aryRes = new Array();
  5:	aryRes.push("HTTP/1.1 200 OK");
  6:	aryRes.push("Server: Apache-Coyote/1.1");
  7:	aryRes.push("Content-Type: text/html;charset=Shift_JIS");
  8:	aryRes.push("Date: Fri, 24 Aug 2007 07:54:45 GMT");
  9:	aryRes.push("Proxy-Connection: close");
 10:	aryRes.push("Connection: close");
 11:	aryRes.push("\n");
 12:	aryRes.push("Send Complete");
 13:
 14:	transmission(aryRes.join("\n"));
 15:	Debug.print("このデバッグ文は実行されません。");
  • 1,2行目をコメントアウトしていない場合
    • ブラウザに「送信完了」が表示されること。
  • 1,2行目をコメントアウトした場合
    • ブラウザに「Send Complete」が表示されること。
  • 15行目が実行されないこと。

2007/09/28 13:52:24 更新者:shinomiya

  • ステータスassigned から closed に更新されました。
  • 解決方法fixed に更新されました。

修正しました
チェンジセット[121]

2008/04/14 17:09:53 更新者:anonymous

http://www.finishup.cn H?r f?rs?kte allts? pejlaren f? mig att "erk?nna" genom http://www.chinawordpress.net.cn hota med b?ter och r?tteg?ng. Hon f?rs?kte ?ven f? mig att erk?nna att jag har en http://www.chinaword.net.cn DVD-spelare kan emot tevesignaler. Visst finns det kanske DVD-spelare med tevemottagare men en som sitter i datorn? Lite komiskt. Videoapparater har oftast tevemottagare s? hade jag sagt ja d?r hade jag f?rmodligen varit illa ute http://www.tatto.com.cn Vid en r?tteg?ng st?r pejlarens ord mot ditt eftsom pejlaren ?r en tj?nsteman. Det vill s?ga att om pejlaren ser teven s? kan hon s?ga detta i r?tten och f?modligen vinna ocks?. Men om hon varken h?r eller ser teven s? har http://www.treadmilll.cn